
MLEB Web Framework - Feature #7278

Support Multi Language 

15 April 2020 10:13 AM - chok yee fan

Status: Resolved Start date: 15 April 2020

Priority: Normal Due date:  

Assignee: chok yee fan % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

Description

Using package

@ngx-translate/core

@ngx-translate/http-loader

History

#1 - 22 April 2020 01:42 AM - Tan Ping TP

- Status changed from New to Resolved

- Assignee set to chok yee fan

Revision: 190249

Author: tanping

Date: Wednesday, April 22, 2020 1:28:13 AM

Message:

Feature #7278

----

Modified : /S-MADP/02_BaseProjects/BASE100/trunk/cc-base-web/src/app/private/country-detail/country-detail.component.html

Modified : /S-MADP/02_BaseProjects/BASE100/trunk/cc-base-web/src/app/private/survey/survey.component.html

Modified : /S-MADP/02_BaseProjects/BASE100/trunk/cc-base-web/src/assets/i18n/en.json

#2 - 20 October 2020 02:29 PM - chok yee fan

- Assignee changed from chok yee fan to Tan Hua Sheng

#3 - 20 October 2020 02:29 PM - chok yee fan

- Status changed from Resolved to New

#4 - 27 October 2020 02:21 PM - Tan Hua Sheng

- Status changed from New to Resolved

- Assignee changed from Tan Hua Sheng to chok yee fan

Revision: 198833

Author: inttanhs

Date: Tuesday, October 27, 2020 2:03:20 PM

Message:

TAN HUA SHENG : CREATE A BUTTON TO SUPPORT MULTI LANGUAGE (BM , ENGLISH)

----

Modified : /S-MADP/02_BaseProjects/BASE100/trunk/cc-base-web/src/app/public/error404/error404.component.html

Modified : /S-MADP/02_BaseProjects/BASE100/trunk/cc-base-web/src/app/shared/layout/mleb-side-layout/mleb-side-layout.component.html

Modified : /S-MADP/02_BaseProjects/BASE100/trunk/cc-base-web/src/app/shared/layout/mleb-side-layout/mleb-side-layout.component.scss

Modified : /S-MADP/02_BaseProjects/BASE100/trunk/cc-base-web/src/app/app-routing.module.ts
Modified : /S-MADP/02_BaseProjects/BASE100/trunk/cc-base-web/src/app/setting/setting.service.ts

Modified : /S-MADP/02_BaseProjects/BASE100/trunk/cc-base-web/src/app/shared/common.service.ts

Modified : /S-MADP/02_BaseProjects/BASE100/trunk/cc-base-web/src/app/shared/constants.ts

Modified : /S-MADP/02_BaseProjects/BASE100/trunk/cc-base-web/src/app/shared/interceptor/ws-extra-fields-interceptor.ts

Modified : /S-MADP/02_BaseProjects/BASE100/trunk/cc-base-web/src/app/shared/layout/mleb-side-layout/mleb-side-layout.component.ts

Added : /S-MADP/02_BaseProjects/BASE100/trunk/cc-base-web/src/assets/i18n/my.json
